
// ************************ BEGIN_COPYRIGHT_NOTICE ************************
//
// This source code copyright (c) 1995 by Eric Dill and Steven Carr
//
// Permission to use, copy, modify, distribute, and sell this software
// and its documentation for any purpose is hereby granted without
// fee, provided that this copyright notice appear in all copies
// and that the author's name not be used in advertising or publicity
// pertaining to distribution of the software without specific, written
// prior permission.  The author makes no representations about the
// suitability of this software for any purpose.  It is provided "as
// is" without express or implied warranty.
//
// Please send all bug fixes, ideas, and comments to:
//
//             Via Email to CompuServe 75061,3310 and 100251,1571
//             Or post to the Borland OWL2:Print/Doc/View Forum on CompuServe
//
// ************************* END_COPYRIGHT_NOTICE *************************


#include <fstream.h>
#include <stdio.h>

class spoolfilebuf : public filebuf
{
   public:
      spoolfilebuf() : filebuf()
         {
            fileName = strdup( tmpnam(0) );
            open( fileName, ios::binary | ios::in | ios::out | ios::trunc );
         }

     ~spoolfilebuf()
         {
            close();
            remove( fileName );
            free( (void *) fileName );
         }

   private:
      char *fileName;
};

